<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 12</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" type="text/javascript"></script>
	<script type="text/javascript">
	//ejemplo con filtrado de contenido
	
	$(document).ready(function(){

		$("p:contains('1')").text("X");
		$("p:has(a)").append("ejemplo");
	});


	</script>
</head>
<body>

	<div>
		<p>1</p>
		<p>2</p>
		<p>1</p>
		<p>
			<a>3</a>
		</p>
		<p>1</p>
	</div>

</body>
</html>